////////////////////////////
//
//	Clip-4-Win Common Dialog definitions
//
//	Copyright (C) 1992 Skelton Software, Kendal Cottage, Hillam, Leeds, UK.
//	All Rights Reserved.
//
////////////////////////////

#ifndef	C4W_COMMDLG_CH
#define	C4W_COMMDLG_CH


// GetOpenFileName() and GetSaveFileName()
#define OFN_READONLY			1	// 0x00000001
#define OFN_OVERWRITEPROMPT		2	// 0x00000002
#define OFN_HIDEREADONLY		4	// 0x00000004
#define OFN_NOCHANGEDIR			8	// 0x00000008
#define OFN_SHOWHELP			16	// 0x00000010
//#define OFN_ENABLEHOOK		32	// 0x00000020
//#define OFN_ENABLETEMPLATE		64	// 0x00000040
//#define OFN_ENABLETEMPLATEHANDLE	128	// 0x00000080
#define OFN_NOVALIDATE			256	// 0x00000100
#define OFN_ALLOWMULTISELECT		512	// 0x00000200
#define OFN_EXTENSIONDIFFERENT		1024	// 0x00000400
#define OFN_PATHMUSTEXIST		2048	// 0x00000800
#define OFN_FILEMUSTEXIST		4096	// 0x00001000
#define OFN_CREATEPROMPT		8192	// 0x00002000
#define OFN_SHAREAWARE			16384	// 0x00004000
#define OFN_NOREADONLYRETURN		32768	// 0x00008000
#define OFN_NOTESTFILECREATE		65536	// 0x00010000


// ChooseFont() nFlags values:
#define CC_RGBINIT			1	// 0x00000001
#define CC_FULLOPEN			2	// 0x00000002
#define CC_PREVENTFULLOPEN		4	// 0x00000004
#define CC_SHOWHELP			8	// 0x00000008
//#define CC_ENABLEHOOK			16	// 0x00000010
//#define CC_ENABLETEMPLATE		32	// 0x00000020
//#define CC_ENABLETEMPLATEHANDLE	64	// 0x00000040


// FindReplace() values:
#define FR_DOWN				1	// 0x00000001
#define FR_WHOLEWORD			2	// 0x00000002
#define FR_MATCHCASE			4	// 0x00000004
#define FR_FINDNEXT			8	// 0x00000008
#define FR_REPLACE			16	// 0x00000010
#define FR_REPLACEALL			32	// 0x00000020
#define FR_DIALOGTERM			64	// 0x00000040
#define FR_SHOWHELP			128	// 0x00000080
//#define FR_ENABLEHOOK			256	// 0x00000100
#define FR_ENABLETEMPLATE		512	// 0x00000200
#define FR_NOUPDOWN			1024	// 0x00000400
#define FR_NOMATCHCASE			2048	// 0x00000800
#define FR_NOWHOLEWORD			4096	// 0x00001000
//#define FR_ENABLETEMPLATEHANDLE 	8192	// 0x00002000
#define FR_HIDEUPDOWN			16384	// 0x00004000
#define FR_HIDEMATCHCASE		32768	// 0x00008000
#define FR_HIDEWHOLEWORD		65536	// 0x00010000


// ChooseFont() values:
#define CF_SCREENFONTS			1	// 0x00000001
#define CF_PRINTERFONTS			2	// 0x00000002
#define CF_BOTH				(CF_SCREENFONTS + CF_PRINTERFONTS)
#define CF_SHOWHELP			4	// 0x00000004L
//#define CF_ENABLEHOOK			8	// 0x00000008L
//#define CF_ENABLETEMPLATE		16	// 0x00000010L
//#define CF_ENABLETEMPLATEHANDLE	32	// 0x00000020L
#define CF_INITTOLOGFONTSTRUCT		64	// 0x00000040L
#define CF_USESTYLE			128	// 0x00000080L
#define CF_EFFECTS			256	// 0x00000100L
#define CF_APPLY			512	// 0x00000200L
#define CF_ANSIONLY			1024	// 0x00000400L
#define CF_NOVECTORFONTS		2048	// 0x00000800L
#define CF_NOOEMFONTS			CF_NOVECTORFONTS
#define CF_NOSIMULATIONS		4096	// 0x00001000L
#define CF_LIMITSIZE			8192	// 0x00002000L
#define CF_FIXEDPITCHONLY		16384	// 0x00004000L
#define CF_WYSIWYG			32768	// 0x00008000L /* must also have CF_SCREENFONTS + CF_PRINTERFONTS */
#define CF_FORCEFONTEXIST		65536	// 0x00010000L
#define CF_SCALABLEONLY			131072	// 0x00020000L
#define CF_TTONLY			262144	// 0x00040000L
#define CF_NOFACESEL			524288	// 0x00080000L
#define CF_NOSTYLESEL			1048576	// 0x00100000L
#define CF_NOSIZESEL			2097152	// 0x00200000L

// These are extra nFontType bits:
#define SIMULATED_FONTTYPE	32768	// 0x8000
#define PRINTER_FONTTYPE	16384	// 0x4000
#define SCREEN_FONTTYPE		8192	// 0x2000
#define BOLD_FONTTYPE		256	// 0x0100
#define ITALIC_FONTTYPE		512	// 0x0200
#define REGULAR_FONTTYPE	1024	// 0x0400



// Array elements of aPrintDlg[], which is used with PrintDlg():
//
// (these correspond to the members of the Windows PRINTDLG structure)
//
// NOTE: Various members are not yet supported, and are either marked
//	 TBD or commented out.

#ifndef COMMDLG_UPPERCASE		// define this if you prefer upper case

#define	PD_nStructSize		1	// TBD
#define	PD_hwndOwner		2
#define	PD_aDevMode		3	// TBD
#define	PD_aDevNames		4	// TBD
#define	PD_hDC			5
#define	PD_nFlags		6
#define	PD_nFromPage		7
#define	PD_nToPage		8
#define	PD_nMinPage		9
#define	PD_nMaxPage		10
#define	PD_nCopies		11
//#define	PD_hInstance		12
//#define	PD_lCustData		13
//#define	PD_lpfnPrintHook	14
//#define	PD_lpfnSetupHook	15
//#define	PD_lpPrintTemplateName	16
//#define	PD_lpSetupTemplateName	17
//#define	PD_hPrintTemplate	18
//#define	PD_hSetupTemplate	19

#define	PD_Length		19	// # elements

#else // COMMDLG_UPPERCASE

#define PD_NSTRUCTSIZE          1       // TBD
#define PD_HWNDOWNER            2
#define PD_ADEVMODE             3       // TBD
#define PD_ADEVNAMES            4       // TBD
#define PD_HDC                  5
#define PD_NFLAGS               6
#define PD_NFROMPAGE            7
#define PD_NTOPAGE              8
#define PD_NMINPAGE             9
#define PD_NMAXPAGE             10
#define PD_NCOPIES              11
//#define       PD_HINSTANCE            12
//#define       PD_LCUSTDATA            13
//#define       PD_LPFNPRINTHOOK        14
//#define       PD_LPFNSETUPHOOK        15
//#define       PD_LPPRINTTEMPLATENAME  16
//#define       PD_LPSETUPTEMPLATENAME  17
//#define       PD_HPRINTTEMPLATE       18
//#define       PD_HSETUPTEMPLATE       19

#define PD_LENGTH               19      // # elements

#endif // COMMDLG_UPPERCASE



// PrintDlg() PD_nFlags values:
#define PD_ALLPAGES			0	// 0x00000000
#define PD_SELECTION			1	// 0x00000001
#define PD_PAGENUMS			2	// 0x00000002
#define PD_NOSELECTION			4	// 0x00000004
#define PD_NOPAGENUMS			8	// 0x00000008
#define PD_COLLATE			16	// 0x00000010
#define PD_PRINTTOFILE			32	// 0x00000020
#define PD_PRINTSETUP			64	// 0x00000040
#define PD_NOWARNING			128	// 0x00000080
#define PD_RETURNDC			256	// 0x00000100
#define PD_RETURNIC			512	// 0x00000200
#define PD_RETURNDEFAULT		1024	// 0x00000400
#define PD_SHOWHELP			2048	// 0x00000800
//#define PD_ENABLEPRINTHOOK		4096	// 0x00001000
//#define PD_ENABLESETUPHOOK		8192	// 0x00002000
//#define PD_ENABLEPRINTTEMPLATE	16384	// 0x00004000
//#define PD_ENABLESETUPTEMPLATE	32768	// 0x00008000
//#define PD_ENABLEPRINTTEMPLATEHANDLE	65536	// 0x00010000
//#define PD_ENABLESETUPTEMPLATEHANDLE	131072	// 0x00020000
#define PD_USEDEVMODECOPIES		262144	// 0x00040000
#define PD_DISABLEPRINTTOFILE		524288	// 0x00080000
#define PD_HIDEPRINTTOFILE		1048576	// 0x00100000


// DevNames nDefault values:
#define DN_DEFAULTPRN      1	// 0x0001

#endif	// C4W_COMMDLG_CH
